using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UserControl_phto : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.GridView1.DataSourceID = "AccessDataSource1";
            this.GridView1.DataKeyNames = new string[] { "employeeID" };
        }
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        this.GridView1.DataSourceID = null;
        string name = this.TextBox1.Text;
        DataSet ds = BLL.BLLemployee.getEmp(name);
        this.GridView1.DataSource = ds.Tables[0].DefaultView;
        this.GridView1.DataBind();
        this.GridView1.DataKeyNames = new string[] { "employeeID" };
    }
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            e.Row.Attributes.Add("onmouseover", "c=this.style.backgroundColor;this.style.backgroundColor='#ffff66'");
            e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor=c");
        }
    }
}
